Authentication
Administrator. Session/administrative writes are not executed in the public Playground.
Endpoint
curl --request GET 'https://api.oneaster.ai/core/v1/admin/model-names/revisions?model_id=ADMIN_MODEL_ID' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"
Parameters
- model_id (query, Required): {"type":"string"}
- page (query, Optional): {"type":"integer","minimum":1}
- size (query, Optional): {"type":"integer","minimum":1,"maximum":100}
Responses
200
成功或幂等重放
{
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"type": "boolean"
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"model_id": {
"type": "string"
},
"model_name": {
"type": "string"
},
"version": {
"type": "integer",
"minimum": 0
},
"actor_id": {
"type": "string",
"pattern": "^[0-9]+$"
},
"actor_username": {
"type": "string"
},
"reference": {
"type": "string"
},
"created_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"model_id",
"model_name",
"version",
"actor_id",
"actor_username",
"reference",
"created_at"
]
}
},
"total": {
"type": "string",
"pattern": "^[0-9]+$"
},
"page": {
"type": "integer",
"minimum": 0
},
"size": {
"type": "integer",
"minimum": 0
}
},
"required": [
"items",
"total",
"page",
"size"
]
},
"error": {
"anyOf": [
{},
{
"type": "null"
}
]
}
},
"required": [
"success",
"data",
"error"
]
}
}
},
"headers": {}
}